> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all engagements

> This endpoint is used to get all engagements in an account. Use case for this endpoint: Because engagements represent individual activity, you can use the endpoint to source the inputs for a machine learning model to help predict the best time for a call to a prospect or a customer.

### Scopes

In addition to the contacts scope, the sales-email-read scope is required to receive the details of any email-type engagements. See the Engagements API Overview for more details.



## OpenAPI

````yaml specs/legacy/v1/crm-engagements-v1.json GET /engagements/v1/engagements/paged
openapi: 3.0.0
info:
  title: CRM Engagements API v1
  version: 1.0.0
  description: Legacy CRM Engagements API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /engagements/v1/engagements/paged:
    get:
      summary: Get all engagements
      description: >-
        This endpoint is used to get all engagements in an account. Use case for
        this endpoint: Because engagements represent individual activity, you
        can use the endpoint to source the inputs for a machine learning model
        to help predict the best time for a call to a prospect or a customer.


        ### Scopes


        In addition to the contacts scope, the sales-email-read scope is
        required to receive the details of any email-type engagements. See the
        Engagements API Overview for more details.
      operationId: getengagementsv1engagementspaged
      parameters:
        - name: limit
          in: query
          required: false
          description: >-
            The number of records to return. Defaults to 100, has a maximum
            value of 250.
          schema:
            type: integer
            maximum: 250
        - name: offset
          in: query
          required: false
          description: >-
            Used to page through the results. If there are more records in your
            portal than the limit= parameter, you will need to use the offset
            returned in the first request to get the next set of results.
          schema:
            type: integer
      responses:
        '200':
          description: Successful response - Paginated list of engagements
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                  hasMore:
                    type: boolean
                  offset:
                    type: integer

````